/*
 * MiniPC configuration parameters.
 *
 * Copyright (C) 2009 Qi Hardware Inc.
 * Authors: Xiangfu Liu <xiangfu@openmobilefree.net>
 * Copyright (C) 2015, 2016 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __MINIPC_H__
#define __MINIPC_H__

/*
 * GPIO definition
 */
#define GPIO_LED_EN			92
#define GPIO_DISP_OFF_N			93
#define GPIO_PWM0			94
#define GPIO_POWER			97

#define GPIO_KEYIN_BASE			0 /* if jz_keypad.c is understood correctly */
#define GPIO_KEYOUT_BASE		(3 * 32 + 0)
#define GPIO_KEYIN_COUNT		8
#define GPIO_KEYOUT_COUNT		17

#define GPIO_IRQ			IRQ_GPIO0

#define GPIO_REGION_SIZE		0x10000

#endif /* __MINIPC_H__ */
