/*
 * Paging utilities.
 *
 * Copyright (C) 2016, 2017 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "paging.h"
#include "memory.h"

inline uint32_t user_address(uint32_t addr)
{
	return addr & USER_ADDRESS_MASK;
}

inline uint32_t previous_page(uint32_t addr, uint32_t pagesize)
{
	return addr - pagesize * 2;
}

inline uint32_t next_page(uint32_t addr, uint32_t pagesize)
{
	return addr + pagesize * 2;
}

inline uint32_t page_size(uint32_t size)
{
	return size / 2;
}
